patch
https://api.talkdeskapp.com/record-lists//upload-requests/
Return an upload request object and starts file validation. It notifies by Webhook or Workspace notification when it is finished, if previously set to do so
Supported Regions and Base URLs
Access and RegistrationAuthentication
Scope
record-lists:manage
Request Body (required)
{
"op": "replace",
"path": "/status",
"status": "UPLOADED"
}Body Response - Schema
200 (upload request updated)
| Parameter | Type | Description | Required |
|---|---|---|---|
| id | string | ID of upload request | no |
| record_list_id | string | ID of record list | no |
| status | string | current status of upload request | no |
| _links | object | "_links" subdivides into: 1 - "self" (object) 2 - "record_list" (object) | no |
400 (errors found in the submitted request), 401 (unauthorized), 403 (forbidden), 404 (resource not found), 409 (request conflicts with current state of record list or upload request)
| Parameter | Type | Description | Required |
|---|---|---|---|
| code | string | n/a | yes |
| message | string | n/a | yes |
| description | string | n/a | no |
| fields | array[object] | "fields" subdivides into: "name" (string) "description" (string) | yes (name and description) |
TroubleshootingIf you have any questions regarding the usage of this API, or if you’re having any technical issues, please open a ticket using this form.